<template lang="pug">
mixin info(name)
  .row&attributes(attributes)
    .col-12.text-left.col-sm-3.col-lg-2
      strong= name
    .col-12.text-right.col-sm-9.col-lg-10.text-sm-left
      block

.row.x-instituteinfo
  .col-12.py-3.justify-content-center.d-flex(v-if='!loading && $butils.isNil(institute)' key='noSuch')
    span.alert.alert-secondary Unknown User
  .col-12(v-if='institute' key='data')
    BaseCard
      template(v-slot:header='')
        BaseAnimationBlock
          .justify-content-center.d-flex(v-if='loading' key='loading')
            h1 #[i.align-bottom.fa.fa-spinner.fa-pulse]
          .d-flex.justify-content-between.align-items-center(v-else key='title')
            h5 {{ institute.alias }} #[span.text-muted {{ "#" + institute.id }}]
            router-link.text-dark.text-muted.clickable.ml-1(:to='getRoute("/institutes")')
              .fa.fa-caret-up
            .ml-auto.clickable(@click='setEdit(true)' v-if='canEdit && !inEdit')
              kbd.keyHint.mr-2(v-if="showKeyHints") E
              i.fa.fa-cog
            .ml-auto.clickable(@click='setEdit(false)' v-if='canEdit && inEdit')
              kbd.keyHint.mr-2(v-if="showKeyHints") Esc
              i.fa.fa-times
            router-link.btn.btn-outline-danger.ml-auto.x-admin(v-if='!isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
              i.fa.fa-key
      li(v-if='!loading && !inEdit' key='info')
        +info('Id') {{ institute.id }}
        +info('Status')
          .fa.fa-check(v-if='institute.status')
          .fa.fa-times(v-else)
        +info('Alias') {{ institute.alias }}
        +info('Name') {{ institute.name }}
        +info('City') {{ institute.city }}
        +info('Country') {{ institute.country }}
      li(v-if='!loading && inEdit' key='edit')
        .row.b-param-container
          BaseParamInput.col-12.col-xl-6(ref='alias' title='Alias' :inEdit='true' :value='institute.alias')
          BaseParamInput.col-12.col-xl-6(ref='name' title='Name' :inEdit='true' :value='institute.name')
          BaseParamInput.col-12.col-xl-6(ref='city' title='City' :inEdit='true' :value='institute.city')
          BaseParamInput.col-12.col-xl-6(ref='country' title='Country' :inEdit='true' :value='institute.country')
          BaseParamToggle.col-12.col-xl-6(ref='status' title='Status' :inEdit='true' :value='!!institute.status')
      li.x-shifts(v-if='!loading' key='associations')
        BaseCollapsible(:counter='usersLength')
          template(v-slot:header='')
            strong.mr-2 Current year affiliations
          .ml-1.w-100(v-if="association" v-for="association in associations")
            template(v-if="user" v-for="user in [ getUser(association.userId) ] ")
              UserLink(:user="user" :id="user.id")
                tt {{ `${user.lastName}, ${user.firstName} - ${user.login}` }}
      li.x-shifts(v-if='!loading' key='upcoming_shifts')
        template(v-for="upcomingShifts in [ getUpcomingShifts() ]")
          BaseCollapsible(:counter='upcomingShifts.length')
            template(v-slot:header='')
              strong.mr-2 Upcoming Shifts
            .ml-1.w-100(v-if="shifts" v-for="shift in upcomingShifts")
              template(v-if="association" v-for="association in [ getAssociation(shift.assoId) ] ")
                template(v-if="user" v-for="user in [ getUser(association.userId) ] ")
                  ShiftLink(:shift='shift')
                  tt.ml-2 {{ `${user.lastName}, ${user.firstName}` }}
      li.x-shifts(v-if='!loading' key='past_shifts')
        template(v-for="pastShifts in [ getPastShifts() ]")
          BaseCollapsible(:counter='pastShifts.length')
            template(v-slot:header='')
              strong.mr-2 Past Shifts
            .ml-1.w-100(v-if="shifts" v-for="shift in pastShifts")
              template(v-if="association" v-for="association in [ getAssociation(shift.assoId) ] ")
                template(v-if="user" v-for="user in [ getUser(association.userId) ] ")
                  ShiftLink(:shift='shift')
                  tt.ml-2 {{ `${user.lastName}, ${user.firstName}` }}
      li(v-if='!loading && inEdit' key='submit')
        .d-flex.justify-content-end
          button.btn.btn-primary.mx-1.x-submit(@click="doSubmit()")
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            i.fa.fa-upload.mr-1(v-else)
            | Submit
</template>
<script>

export { default } from './InstituteInfo.vue.js';

</script>
